#include <sys/types.h>
#include "config.h"

#include "defs.h"
#include "xmodule.h"
#include "service.h"
#include "sconf.h"
#include "msg.h"
#include "main.h"

status_e xinetd_sm_register(struct service *sp, struct module_conf *mc, connection_s *cp, void **arg)
{
	char *instances = pset_pointer( mc->config, 0 );

	if( EQ(instances, "UNLIMITED") )
		(int)mc->priv = UNLIMITED;
	else {
		if ( parse_base10(instances, (int *)&mc->priv) || (int)mc->priv < 0 ) {
			return FAILED;
		}
	}
	return OK;
}

status_e xinetd_sm_connect(struct service *sp, struct module_conf *mc, connection_s *cp, void **arg)
{
	if( SVC_RUNNING_SERVERS( sp ) >= (int)mc->priv ) {
		return FAILED;
	}
	return OK;
}

status_e xinetd_sm_unregister(struct service *sp, struct module_conf *mc, connection_s *cp, void **arg)
{
	return OK;
}
